import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:midisynth/common/config/activity_page.dart';
import 'package:midisynth/common/config/screen.dart';
import 'package:midisynth/common/cubit/nav/nav_cubit_screens.dart';
import 'package:midisynth/common/ui/nav/global_app_bar.dart';
import 'package:midisynth/common/ui/nav/bottom_nav_bar.dart';

class SkeletonScreen extends StatelessWidget {
  const SkeletonScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<NavCubitScreen, int>(
      builder: (BuildContext context, int screenIndex) {
        return Scaffold(
          appBar: const GlobalAppBar(),
          extendBodyBehindAppBar: false,
          body: Material(
            color: Theme.of(context).colorScheme.surface,
            child: Padding(
              padding: const EdgeInsets.only(
                top: 8,
                left: 2,
                right: 2,
              ),
              child: Screen.getWidget(screenIndex),
            ),
          ),
          backgroundColor: Theme.of(context).colorScheme.surface,
          bottomNavigationBar: ActivityPage.displayBottomNavBar ? const BottomNavBar() : null,
        );
      },
    );
  }
}
